# NeurIPS2021: Learning State Representations from Random Deep Action-conditional Predictions

This code is part of the supplementary materials to the NeurIPS 2021 paper "Learning State Representations from Random Deep Action-conditional Predictions".

## Installation
`conda` must be installed.

Please run the following command to create a conda environment:
```bash
conda env create -f environment_cuda11_cp38_linux64.yml
```

This `conda` environment contains the Atari platform. To run experiments on DeepMind Lab, please install DeepMind Lab separately by following the instructions at [https://github.com/deepmind/lab](https://github.com/deepmind/lab).

## Reproducing Results
Please run the launch scripts under the `experiments/` folder to reproduce the results presented in the paper.
For example, to reproduce the results of stop-gradient version of rGVFs on 49 Atari games, run
```bash
python -m experiments.atari_rgvfs_stop_gradient
```